Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.processing.raster.interpolation
Class InterpolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.processing.raster.interpolation.InterpolationException

All Implemented Interfaces:
  Serializable

    public class InterpolationException

extends Exception

Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`InterpolationException()` An empty constructor, just calls super
`InterpolationException(String message)`
`InterpolationException(String message, Throwable cause)`
`InterpolationException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterpolationException

    public InterpolationException()

  An empty constructor, just calls super

### InterpolationException

    public InterpolationException(String message,
                                  Throwable cause)

Parameters:
  `message` - the message
  `cause` -

### InterpolationException

    public InterpolationException(String message)

Parameters:
  `message` -

### InterpolationException

    public InterpolationException(Throwable cause)

Parameters:
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org